ru.bitel.bgbilling.modules.cerbercrypt.server.event

## Class GetOpenPacketDatesEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.cerbercrypt.server.event.GetPacketDatesEvent
        - - ru.bitel.bgbilling.modules.cerbercrypt.server.event.GetOpenPacketDatesEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class GetOpenPacketDatesEvent
      extends GetPacketDatesEvent

  Синхронное событие - получение списка дат, с которых можно открыть пакет через Web.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GetOpenPacketDatesEvent()`
    `` | `GetOpenPacketDatesEvent(int userId, int mid, int cid, int userCardId, java.util.Date date)` Конструктор события

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTypeId()` Deprecated.

    - ### Methods inherited from class ru.bitel.bgbilling.modules.cerbercrypt.server.event.GetPacketDatesEvent

      `getDate, getDateList, getUserCardId, setDateList`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetOpenPacketDatesEvent

          protected GetOpenPacketDatesEvent()

    - #### GetOpenPacketDatesEvent

          public GetOpenPacketDatesEvent(int userId,
                                         int mid,
                                         int cid,
                                         int userCardId,
                                         java.util.Date date)

      Конструктор события
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `mid` - - код модуля
        `cid` - - код договора
        `userCardId` - - код карты клиента
        `date` - - текущая дата

  - ### Method Detail

    - #### getTypeId

          @Deprecated
          public int getTypeId()

      Deprecated.
      Использовать проверку instanceof.
      Overrides:
        `getTypeId` in class `Event`
      Returns: